aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2017-05-28 20:19:11 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-06-03 03:42:31 +0000
commitf035ae6dc8a1b27ab83be94aab1b1e6d73059e88 (patch)
tree3330fecb424b260bba1326fe4ee58410ea03e210
parent5eeb43d17ad192552750be2db396df67b5778473 (diff)
downloadaports-f035ae6dc8a1b27ab83be94aab1b1e6d73059e88.tar.gz
aports-f035ae6dc8a1b27ab83be94aab1b1e6d73059e88.tar.bz2
aports-f035ae6dc8a1b27ab83be94aab1b1e6d73059e88.tar.xz
main/py-uritemplate: upgrade to 3.0.0
-rw-r--r--main/py-uritemplate/APKBUILD40
1 files changed, 28 insertions, 12 deletions
diff --git a/main/py-uritemplate/APKBUILD b/main/py-uritemplate/APKBUILD
index 12bee9f0b1..eab84c174f 100644
--- a/main/py-uritemplate/APKBUILD
+++ b/main/py-uritemplate/APKBUILD
@@ -2,30 +2,46 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py-uritemplate
_pkgname=uritemplate.py
-pkgver=0.3.0
+pkgver=3.0.0
pkgrel=0
pkgdesc="Python module to use URO templates"
url=" https://uritemplate.readthedocs.org"
arch="noarch"
license="BSD"
+options="!check"
depends=""
-depends_dev=""
-makedepends="python2-dev py-setuptools"
-install=""
-subpackages=""
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py3-$_pkgname:_py3 py2-$_pkgname:_py2"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
-_builddir="$srcdir"/$_pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
python2 setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
- cd "$_builddir"
- python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ mkdir -p "$pkgdir"
}
-md5sums="4dd14904ba502c6ff8d6276e004404de uritemplate.py-0.3.0.tar.gz"
-sha256sums="fd79aa529a7968c62d96ac6731a94349c5a615dac74968526c573c65796c7b77 uritemplate.py-0.3.0.tar.gz"
-sha512sums="33c606337f4109301c73383d646bdc63f88426d39d870bf293b2d9cff1210adb8bde4105a7dbc2769071bf038bb203dcbb1d3d40bf95b1c572519c53dca65b1d uritemplate.py-0.3.0.tar.gz"
+_py() {
+ local python="$1"
+ pkgdesc="$pkgdesc (for $python)"
+ depends="$depends $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ replaces="$pkgname"
+ _py python2
+}
+
+_py3() {
+ _py python3
+}
+
+sha512sums="441553b1a48601454b57691957d8549e4f63f834b144382c95354498950c7b1118968d7acc98bbc5083efc98ef3959ce3187f03305a4c0b785600e2e926f1809 uritemplate.py-3.0.0.tar.gz"